---
title: "This user's credentials (no secrets)"
---

> Documentation Index
> Fetch the complete documentation index at: https://docs.gitpando.com/llms.txt
> Use this file to discover all available pages before exploring further.

Path: Pando API › users

`GET /v1/user/credentials`

## Authentication

Requires one of the following:

- `credential`, http, header `Authorization`
- `session`, apiKey, in cookie

## Code samples

### cURL

```curl
curl --request GET \
  --url https://app.gitpando.com/v1/user/credentials \
  --header 'Authorization: Bearer <token>'
```

### TypeScript

```typescript
const url = 'https://app.gitpando.com/v1/user/credentials';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch(url, options)
  .then(res => res.json())
  .then(json => console.log(json))
  .catch(err => console.error(err));
```

### Python

```python
import requests

url = "https://app.gitpando.com/v1/user/credentials"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
```

## Responses

### 200

OK

#### Example

```json
{
  "credentials": [
    {
      "id": "string",
      "name": "string",
      "kind": "machine",
      "created_at": "2019-08-24T14:15:22Z",
      "last_used_at": "2019-08-24T14:15:22Z",
      "expires_at": "2019-08-24T14:15:22Z"
    }
  ]
}
```

- `listCredentials.response.200.credentials` (array<object>, required)
  - `listCredentials.response.200.credentials.id` (string, required)
  - `listCredentials.response.200.credentials.name` (string, required)
  - `listCredentials.response.200.credentials.kind` (string, required)
    - one of `"machine"`, `"sandbox"`, `"bootstrap"`, `"browser"`
  - `listCredentials.response.200.credentials.created_at` (string, required)
    - format `date-time`
  - `listCredentials.response.200.credentials.last_used_at` (string | null, optional)
    - format `date-time`
  - `listCredentials.response.200.credentials.expires_at` (string | null, optional) — Browser sessions only: the end unless used before then (each use pushes it to 30 days).
    - format `date-time`


Source: https://docs.gitpando.com/api/users/listCredentials/index.md
